Subject: bug#26573: 25.1; emacs 25.1 crashes while I am killing a bunch of lines

From: [email-masked]
Date: Sat, 24 Jun 2017 18:45:18 -0400

"ISHIKAWA,chiaki" <[email-masked]> writes:

> Yes, it is too bad that emacs has become a little unstable.
> Maybe the distributed souce code management system may have something
> to do with it. Before, developers were very careful and use only a
> single master repository thus messing it up would have been a cardinal
> sin, but
> nowadays, people can create various branches and merge them (at least
> so that it builds/compiles). BUT, the runtime behavior may suffer.
> Just my guess.

These problems with the allocater have actually been triggered by a
glibc change.  The malloc hooks were dropped which forces Emacs to use a
different configuration that had not been widely tested for a long time,
so meanwhile bugs had crept in.